<template>
	<view >
		111
		<Tabbar></Tabbar>
	</view>
</template>

<script>
import Tabbar from "../../components/tabbar.vue"
	export default {
		components:{
			Tabbar
		},
		data() {
			return {
				test: true,
				show: false,
				keyword: '',
				top: 60,
				flootBootm: 0,
				time: '2022/3/27',
				ver: '1.2.30',
				sys: null,
				bottom: 0,
				list: [{
						icon: 'https://jx2d.cn/yuwuimages/120/com.png?v=2',
						title: '基础组件',
						label: '提供了基础组件90+',
						url: '/subpages/com/index',
						btn: '预览组件'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/theme.png?v=2',
						title: '主题切换',
						label: '暗黑，其它主题切换',
						url: 'themechange',
						btn: '前往体验'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/com.png?v=2',
						title: 'render',
						label: 'canvas渲染引擎',
						url: '/pages/index/crender',
						btn: '1.0正式版'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/css.png?v=2',
						title: '预设样式库',
						label: '零CSS写应用',
						url: '/subpages/csspage/csspage',
						btn: '预览相关'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/lottie.png?v=2',
						title: 'lottie动画',
						label: '提供了对lottie的封装',
						url: '/subpages/lottie/index',
						btn: '前往体验'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/echarts.png?v=2',
						title: 'Echarts',
						label: '对百度图表的封装',
						url: '/subpages/echarts/index',
						btn: '前往体验'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/yewu.png?v=2',
						title: '业务组件',
						label: '提供了相关行业的组件',
						url: '/subpages/food/index',
						btn: '预览相关'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/moban.png?v=2',
						title: '页面模板',
						label: '相关行业的页面模板',
						url: '/subpages/moban/index',
						btn: '预览模板'
					},
					{
						icon: 'https://jx2d.cn/yuwuimages/120/game.png?v=2',
						title: '游戏抽奖',
						label: '转盘|老虎机|九宫格等',
						url: '/subpages/yewu/index',
						btn: '体验相关'
					}
				]
			};
		},
		created() {
			this.sys = uni.getSystemInfoSync();
		},
		onLoad() {
			// uni.hideTabBar()
			    uni.request({
			        url : "https://jisutqybmf.market.alicloudapi.com/weather/query",
			        type : "POST",
					header: {
						'Authorization':'APPCODE b838ad36bbd741ad97bbe22e50be1847'
					},
					data:{
						city:'南京'
					},
			        dataType:'json',
			        success : function(data) {
			            
			        },
			        error : function(e) {
			            alert("网络异常，请重试");
			        }
			    });

		},
		mounted() {
			uni.showTabBar({
				animation: true
			});
			
		},
		methods: {
			openSearch() {
				uni.navigateTo({
					url: 'search?key=' + this.keyword
				});
			},
			openUrl(url) {
				let t = this;
				uni.navigateTo({
					url: url,
					fail: e => {
						t.show = true;
					}
				});
			},
			imte() {
				this.$tm.theme.setBlack();
			},
		}
	};
</script>

<style lang="scss">
	page,
	body {
		min-height: 100%;
		background-color: #f5f5f5;
	}
</style>
<style lang="scss" scoped></style>
